update-squidguard(1)

NAME
update-squidguard - Update script for SquidGuard.

SYNOPSIS
update-squidguard

DESCRIPTION
This script performs a database rebuild for any blacklists listed in the default Squidguard config file `/etc/squid/squidGuard.conf'. After rebuilding the databases it will reload Squid / Squid3 so that it will make use of the updated lists.

OPTIONS

-v | --verbose
    Show some more information and switch on progress bar when updating database.

-c | --checkdb
    Check Berkeley DB version and rebuild full database only if Berkeley DB version have changed. This option should be used after upgrade of squidguard to reduce wasteful wait time.

COPYRIGHT and LICENSE
Copyright (c) 2003 Ivan E. Moore II

Copyright (c) 2010-2024 Joachim Wiedorn, Germany

This script is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License version 2 as published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License version 2 can be found in `/usr/share/common-licenses/GPL-2'.

AUTHOR
update-squidguard was written by Ivan E. Moore II and updated by Joachim Wiedorn.

This manual page was written by Joachim Wiedorn <joodebian at joonet.de> for the Debian project (and may be used by others).

SEE ALSO
squidGuard(1), squid(1), sgclean(1), hostbyname(1)